@import './scss/_configuration/settings';

// Custom mixins
@import './scss/_mixins/mixins';

// Optimize drupals contextual links (add type specific icons, better coloring and size, etc.)
.contextual{
  .trigger{
    width:40px !important;
    height:40px !important;
    border-radius: 6px !important;
    border: 0 none !important;
    color: var(--adminimal-primary);
    box-shadow: 0 0 5px rgba(0,0,0,.35);
    transition-duration:150ms;
    transition-property: background-color, box-shadow;
    &:hover{
      box-shadow: 0 0 7px rgba(0,0,0,.28);
    }
  }
  &:not(.open){
    .trigger{
      &:hover{
        background-color: var(--adminimal-primary);
        background-image: url('/core/themes/stable/images/core/icons/ffffff/pencil.svg');
        color: white;
      }
    }
  }
  &.open{
    .trigger{
      border-bottom-left-radius: 0 !important;
      border-bottom-right-radius: 0 !important;
    }
    .trigger,
    .contextual-links{
      box-shadow: 0 -6px 4px rgba(0, 0, 0, 0.25);
    }
  }
}
.contextual-links{
  border: 0 none !important;
  box-shadow: 0 0 5px rgba(0,0,0,.35);
  .button{
    text-align:left !important;
    border:0 none !important;
    margin:0 !important;
    padding-top: .75em !important;
    padding-bottom: .75em !important;
    border-radius: 0 !important;
    &:hover{
      background-color: var(--adminimal-primary) !important;
      color: white !important;
    }
  }
}

// Entity Bundles with type specific icon
.paragraph,
.media-slideshow,
.media-image,
.media-slide{
  // Open contextual links flyout to left instead right
  &.contextual-region .contextual .trigger{
    float:left;
    left:6px;
    right:auto;
  }
  &.contextual-region .contextual .contextual-links{
    right:auto;
    left:6px;
    border-top-left-radius: 0 !important;
    border-top-right-radius: 4px !important;
  }
  // Add custom - type specific - icons
  > .contextual{
    .trigger{
      background-image:none;
      overflow:visible !important;
      &::before{
        font-size: 16px;
        position:absolute;
        left:0;
        top:0;
        text-indent:0;
        width:100%;
        height:100%;
        line-height:1;
        display:flex;
        align-items: center;
        justify-content: center;
        color: currentColor;
      }
      &::after{
        @include get-ico-only($ico-pen);
        display:flex;
        justify-content: center;
        align-items:center;
        position:absolute;
        left:-10px;
        top:-10px;
        width:24px;
        height:24px;
        font-size:10px;
        border-radius:50%;
        text-indent:0;
        background-color: var(--adminimal-primary);
        color: white;
      }
    }
    &.open{
      .trigger{
        border-bottom-left-radius: 0 !important;
        border-bottom-right-radius: 0 !important;
      }
    }
  }
}
.paragraph > .contextual .trigger::before{
  // TODO: Add paragraph icon if https://gitlab.com/webksde/drupal/drowl_admin/-/issues/2 is fixed
  // @include get-ico-only($ico-paragraph);
}
.media-slideshow > .contextual{
  left:12px;
  right:auto;
  // Add custom icon
  .trigger{
    &::before{
      @include get-ico-only($ico-images);
    }
  }
}
.media-image > .contextual,
.media-slide > .contextual{
  top:50%;
  left:50%;
  right:auto;
  // Add custom icon
  .trigger{
    &::before{
      @include get-ico-only($ico-image);
    }
  }
}

.header-image-wrapper{
  // Since we use nested paragraphs in header images a lot of contextual links appearing
  // so we hide the senseless ones
  .block-region--header-image-entity-field > .contextual, // <-- Header image block node reference field
  .media-slide .contextual-region .contextual{ // <-- Hide deeper nested entities context links
    visibility:hidden !important;
    pointer-events: none !important;
  }
}
